package net.northking.cctp.upperComputer.driver.usbmuxd.payload;

import com.dd.plist.NSDictionary;

/**
 * 接收或发送数据格式承载基础
 */
public abstract class Payload {

    /**
     * 报告给设备的客户端版本名称<br>
     * 可任意，设备方无限制
     */
    protected static final String CLIENT_VERSION_STRING = "1.0";

    /**
     * 报告给设备的客户端名称<br>
     * 可任意，设备方无限制
     */
    protected static final String PROG_NAME = "device-host";

    /**
     * 固定的usbmux库版本
     */
    protected static final int KLIB_USBMUX_VERSION = 3;

    /**
     * 转换成要发送的数据
     *
     * @return 将被发送的数据，不能为null
     */
    public abstract NSDictionary toData();


}
